▼ |  | raco: Racket Command-Line Tools

1 | raco make: Compiling Source to Bytecode
2 | raco exe: Creating Stand-Alone Executables
3 | raco distribute: Sharing Stand-Alone Executables
4 | raco planet: Automatic Package Distribution
5 | raco pkg: Package Management
6 | raco setup: Installation Management
7 | raco decompile: Decompiling Bytecode
8 | raco demod: Demodularizing Programs
9 | raco link: Library Collection Links
10 | raco pack: Packing Library Collections
11 | raco unpack: Unpacking Library Collections
12 | raco ctool: Working with C Code
13 | raco test: Run tests
14 | raco docs: Documentation Search
15 | raco expand: Macro Expansion
16 | raco read: Reading and Pretty-Printing
17 | raco scribble: Building Documentation
18 | Adding a raco Command
19 | Installation Configuration and Search Paths

top ← prev up next →

### 16`` raco read: Reading and Pretty-Printing

The raco read command reads and pretty-prints the contents of the given files. This command is useful for showing how a #reader or #lang-based reader extension converts input to an S-expression. It is also useful for pretty-printing a term that is already in S-expression form.

Command-line flags:

- -n ‹n› or --columns ‹n› — format output for a display with ‹n› columns

- -h or --help — show help information for this command

- -- — do not treat remaining arguments as switches

Added in version 1.3 of package compiler-lib.

top ← prev up next →